#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script collects the advanced machine role

CPPROD_UTIL=$CPDIR/bin/cpprod_util

#possible machine roles, first spelling option for every role will be used to appear to the user!!
MLM="mlm,MLM"
PRIMARY="Primary,PRIMARY,primary"
SECONDARY="Secondary,SECONDARY,secondary"

#set the current machine role to an empty string.
#if no machine role is found end script with appropriate error
machineRole=""

#find the current machine role
function findMachineRole()
{
	#check if machine is MDS
	if [ "$MDSDIR" != "" ]
	then
		isMDS=`$CPPROD_UTIL CPPROD_GetValue PROVIDER-1 LoginServer 4`
		if [ "X$isMDS" != "X1" ]
		then
			machineRole="$MLM"
			return
		fi
	else
		#check if the machine is mgmt
		is_mgmt=`$CPPROD_UTIL FwIsFirewallMgmt`
		is_primary=`$CPPROD_UTIL FwIsPrimary`
		if [ X$is_mgmt == "X1" ]
		then
			if [ X$is_primary == "X1" ]
			then
				machineRole="$PRIMARY"
				return
			else
				machineRole="$SECONDARY"
				return
			fi
		fi
	fi
}

findMachineRole

if [ "X$machineRole" = "X" ]
then
	machineRole="could_not_be_collected";
fi

$ECHO "machineRole='$machineRole'"

exit 0
