#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script collects the machines appliance model type

ECHO=/bin/echo
GREP=/bin/grep
EGREP=/bin/egrep
XMLLINT=/usr/bin/xmllint
AWK=/bin/awk
TR=/usr/bin/tr
DBGET=/bin/dbget

APPLIANCE_CONFIG_FILE="/etc/appliance_config.xml"

#fetching using the live handle, if it fails we fallback
APPLIANCE_MODEL_TYPE=`$DBGET :appliance_configuration:value:/model/@type 2>/dev/null`
RC=$?

if [ $RC -ne 0 ] || [ "X${APPLIANCE_MODEL_TYPE}" == "X" ] ; then
	#fallback
	APPLIANCE_MODEL_TYPE="`${ECHO} "cat //model/@type" | ${XMLLINT} --shell ${APPLIANCE_CONFIG_FILE} | ${GREP} '=' | ${TR} '\"' ' ' | ${AWK} '{print $2}'`"
fi

$ECHO "appliance_model_type='$APPLIANCE_MODEL_TYPE'"

exit 0