#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#Check if the machine is hop

ECHO=/bin/echo
GREP=/bin/grep
AWK=/bin/awk
CAT=/bin/cat

DOWNGRADE_WA_FLAG=/var/log/blink/ext_scripts/enable_grub2downgrade
DOWNGRADE_COMPATIBLE_BUILD=991310209
PRIVATE_BUILD=0

internal_failure_msg="Failed to collect verification parameters. Please try again."

fatherPpidReturn=1
getFatherProcessID (){    
		fatherPpidReturn=`ps -p $1 -o ppid=`
		if [ $? -ne 0 -o "X$fatherPpidReturn" = "X" ]; then
			$ECHO "verify_output=\"$internal_failure_msg\""
			exit 1
		fi
}

getFatherProcessID $$

blinkInstallerPath=""
while [ $fatherPpidReturn -ne 1 ] ; do # 1 is the pid of init, no relatives beyond this point
    if readlink /proc/$fatherPpidReturn/exe | grep BlinkInstaller > /dev/null 2>&1
    then
        blinkInstallerPath=`readlink /proc/$fatherPpidReturn/exe`
        break
    fi
    getFatherProcessID $fatherPpidReturn
done

if [ "X$blinkInstallerPath" != "X" ] ; then
    file_build_num=`$CPVINFO $file_name | $GREP "Build Number" | $AWK '{print $4}'`
    if [ $file_build_num -eq 0 -o $file_build_num -ge $DOWNGRADE_COMPATIBLE_BUILD ] ; then
        $ECHO "Grub2 downgrade compatible installer"
        exit 0
    fi
fi

if [ -f $DOWNGRADE_WA_FLAG ] ; then
	$ECHO "Grub2 downgrade WA deployed"	
else
	$ECHO "Grub2 downgrade not supported. Please refer to sk178227 for additional information"
fi

exit 0
