#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#machine collects partition size in GB.
#received parameter is 'partition', the name of the partition to check.

LVS=/usr/sbin/lvs
AWK=/bin/awk
ECHO=/bin/echo
GREP=/bin/grep
SED=/bin/sed
rv=0

#parameter received is 'path'
parseArgs "$@"

partition_size=`$LVS | $GREP -w $partition | $AWK '{print $4}' | $SED 's/.$//'`
partition_size_with_ending=`$LVS | $GREP -w $partition | $AWK '{print $4}'`

if [ "${partition_size}t" == "$partition_size_with_ending" -o "${partition_size}T" == "$partition_size_with_ending" ]
then
	partition_size=`$ECHO "$partition_size * 1000" | bc -l`
fi


if [ $? -ne 0 ]
then
	endCheck 2 "collect_err_msg='Could not get size of partition $partition.'"
fi

$ECHO "partition_size='$partition_size'"
exit 0
