#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

AWK=/bin/awk
ECHO=/bin/echo
GREP=/bin/grep
EGREP=/bin/egrep
DF=/bin/df
SFDISK=/sbin/sfdisk

# ignore old versions
isVersionOlderThan "R80"
if [ $? == 0 ]; then
	$ECHO "success"
	exit 0
fi

# if machine version is R81.20 or higher we have 4 partitions, othrwise 3
isVersionOlderThan "R81.20"
if [ $? != 0 ]; then
	has_gpt=0
	$SFDISK -l | $GREP -iw GPT >/dev/null 2>&1 && has_gpt=1
	if [  $has_gpt == 1 ]; then
		expected_part_num=4
	else
		expected_part_num=3
	fi

else
	expected_part_num=3
fi

# ignore SW-RAID
if [ -f /boot/SW_RAID ]; then
	$ECHO "success"
	exit 0
else
	device=`$DF -h /boot | $GREP /boot | $AWK '{print $1}' | $EGREP -o '/dev/((nvme[0-1]n[0-1/])|sd([a-z])|vd([a-z]))' | cut -d "/" -f 3`
	if [[ $device == *"nvme"* ]]; then
		device+=p
	fi
	partitions_num=`$GREP -cE $device'[0-9]+' /proc/partitions`
fi

if [ $? -ne 0 ]
then
	endCheck 2 "collect_err_msg='Could not get number of partitions.'"
fi

$ECHO "partitions_num='$partitions_num' expected_part_num='$expected_part_num'"
exit 0

