#!/bin/bash

. `dirname $0`"/DDR_shared_functions"

#script blocks Auto Updater build. 



KILL=/bin/kill
READLINK=/usr/bin/readlink
BASENAME=/bin/basename
TOUCH=/bin/touch
AUTOUPDATER_BIN=AutoUpdater
AUTOUPDATERDIR=/opt/AutoUpdater
AUTO_UPDATER_LATEST_LINK=$AUTOUPDATERDIR/latest
VERIFICATION_FILE=$AUTOUPDATERDIR/restarted


if [ ! -x $READLINK ]
then
	endCheck 0 "Fail"
fi

if [ ! -x $KILL ]
then
	endCheck 0 "Fail"
fi

if [ ! -x $BASENAME ]
then
	endCheck 0 "Fail"
fi

if [ ! -x $TOUCH ]
then
	endCheck 0 "Fail"
fi

#darwin was already restarted
if [ -e $VERIFICATION_FILE ]
then
	endCheck 0 "Fail"
fi

#exit here if there is no Auto Updater link i.e. Auto Updater not installed
linkedDir=`$READLINK $AUTO_UPDATER_LATEST_LINK`
if [ "X$linkedDir" = "X" ]
then
	endCheck 0 "Fail"
fi

linkedDirNum=`$BASENAME $linkedDir`

#if darwin wasnt updated
if [ $linkedDirNum -le 990180214 ]
then
		$KILL -9 `pidof $AUTOUPDATER_BIN`
		$TOUCH $VERIFICATION_FILE	
fi

endCheck 0 "Fail"
