#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script fixes reverts bad Auto Updater build. 
#Builds 990180119 and 990180124 could not start if a cpinfo bundle with take number registered with "T" at the beginnig of the number was installed.

. `dirname $0`"/DDR_shared_functions"

READLINK=/usr/bin/readlink
LS=/bin/ls
GREP=/bin/grep
BASENAME=/bin/basename
LN=/bin/ln
CPWD_ADMIN=$CPDIR/bin/cpwd_admin
AUTOUPDATERDIR=/opt/AutoUpdater
AUTO_UPDATER_LATEST_LINK=$AUTOUPDATERDIR/latest
BUILD_FOLDER_REGEX="\/[0-9]{9}\/"

if [ ! -x $READLINK ]
then
	endCheck 0 "Fail"
fi
if [ ! -x $BASENAME ]
then
	endCheck 0 "Fail"
fi
if [ ! -x $LN ]
then
	endCheck 0 "Fail"
fi
if [ ! -x $LS ]
then
	endCheck 0 "Fail"
fi
if [ ! -x $GREP ]
then
	endCheck 0 "Fail"
fi

#exit here if there is no Auto Updater link i.e. Auto Updater not installed
linkedDir=`$READLINK $AUTO_UPDATER_LATEST_LINK`
if [ "X$linkedDir" = "X" ]
then
	endCheck 0 "Fail"
fi

linkedDirNum=`$BASENAME $linkedDir`

#if the problematic builds are installed
if [ "X$linkedDirNum" = "X990180119" -o "X$linkedDirNum" = "X990180124" ]
then
	for d in  `$LS -cd $AUTOUPDATERDIR/*/ | $GREP -E $BUILD_FOLDER_REGEX `
	do
		#find backup directory with Auto Updater build capable of self-updating
		dirNum=`$BASENAME $d`
		if [ $dirNum -lt $linkedDirNum ]
		then
			if [ -x $CPWD_ADMIN ]
			then
				#build 990180118 used new self-update method where the watchdog resitration was not the trigger for post 
				#install script of the rpm to cause Auto Updater to go down. So here we revert the registration in the watchdog so self update can occur
				if [ "X$dirNum" != "X990180118" ]
				then
					$CPWD_ADMIN stop -name AUTOUPDATER > /dev/null 2>&1
					$CPWD_ADMIN del -name AUTOUPDATER > /dev/null 2>&1
					$CPDIR/bin/cpwd_admin start -name AutoUpdater -path "$AUTOUPDATERDIR/latest/bin/AutoUpdaterService.sh" -command "AutoUpdaterService.sh" > /dev/null 2>&1
				else
					$CPDIR/bin/cpwd_admin start -name AUTOUPDATER -path "$AUTOUPDATERDIR/latest/bin/AutoUpdaterService.sh" -command "AutoUpdaterService.sh" > /dev/null 2>&1
				fi
			fi
			
			#the revert
			$LN -sfn $d $AUTO_UPDATER_LATEST_LINK
			break
		fi
	done
fi

endCheck 0 "Fail"
