#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

BC=/usr/bin/bc
ECHO=/bin/echo

# remove this section once DDR handles errors from collect
if [ "X$collect_err_msg" != "X" ]
then
	endCheck 1 "$collect_err_msg" 
fi

# the machine version is R81.20 or higher, no partitions manipulation 
if [ "X$1" == "Xsuccess" ]
then
	exit 0
fi

#parameters received are 'partitions_num' and 'expected_part_num'
parseArgs "$@"

#if it's not success check the number of partitions
if [ "X$partitions_num" = "X" ]
then
	endCheck 2 "$internal_err_str partitions_num recieved from collect is empty."
fi

#The number of partitions should be as expected
if (( $($ECHO "$partitions_num" '!=' "$expected_part_num" | $BC -l) ))
then
	endCheck 1 "Your partitions are not in Check Point standard format, and an upgrade is not possible. Reinstall your system and verify correct partitioning."
fi

exit 0

