#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies machine number of FW instances
#parameters received:
# 1) 'max', user defined max DA build in conitions set
# 2) 'min' user defined min DA build in conitions set
# 3) 'instanceCount' recived from collector

ECHO=/bin/echo
CPPROD_UTIL=$CPDIR/bin/cpprod_util
rv=0

error_verifying="Could not verify number of FW instances."

#parameters received are 'max', 'min' and 'instanceCount'
parseArgs "$@"

#check max_build
if [ "X$max" != "X" ]
then 
	#check maxinstance
	verifyOnlyDigits $max "$error_verifying"
	
	if [ $instanceCount -gt $max ]
	then
		rv=1
	fi
fi

#check min build
if [ "X$min" != "X" ] 
then 
	#check min_build is only digits
	verifyOnlyDigits $min "$error_verifying"
	
	if [ $instanceCount -lt $min ]
	then
		rv=1
	fi
fi

endCheck $rv "Number of FW instances is $instanceCount"
