#!/bin/bash

#DA Post Install Non Blocking script

RM=/bin/rm
SLEEP=/bin/sleep
CAT=/bin/cat
GREP=/bin/grep
AWK=/bin/awk
WC=/usr/bin/wc
PS=/bin/ps
ECHO=/bin/echo
TELLPM=/bin/tellpm
CAT=/bin/cat

LATEST_DA_BUILD_FILE=/opt/CPda/bin/latest_installed_DA_build
DA_INSTALL_MW_CONTEXT=/var/tmp/DA_Install_MW_Context

LOG_FILE=${1}

function get_num_of_process_instances() {
	num_of_instances=`$PS ax | $GREP /bin/$1 | $GREP -v grep | $WC -l`
	$ECHO "Number of $1 instances: $num_of_instances" >> $LOG_FILE
}

function restart_clishd {
	#kill Gaia clishd daemons
	$ECHO "Going to restart clishd..." >> $LOG_FILE
	#killall clishd;
	$TELLPM process:clishd
	$TELLPM process:clishd t
	$SLEEP 5

	#wait for clishd to load
	var=0
	get_num_of_process_instances clishd
	while [ $num_of_instances -eq 0 ]
	do
		var=$((var+1))
		$SLEEP 1
		if [ ${var} = 30 ]; then
			$ECHO "DAPostInstall.sh: clishd timeout" >> $LOG_FILE
			exit 1
		fi
		get_num_of_process_instances clishd
	done
	$ECHO "clishd has been restarted." >> $LOG_FILE
}


function restart_confd {
	#kill Gaia confd and clishd daemons
	$ECHO "Going to restart confd..." >> $LOG_FILE
	#killall confd;
	$TELLPM process:confd
	$TELLPM process:confd t
	$SLEEP 5

	#wait for confd to load
	var=0
	get_num_of_process_instances confd
	while [ $num_of_instances -eq 0 ]
	do
		var=$((var+1))
		$SLEEP 1
		if [ ${var} = 30 ]; then
			$ECHO "DAPostInstall.sh: confd timeout" >> $LOG_FILE
			exit 1
		fi
		get_num_of_process_instances confd
	done
	$ECHO "confd has been restarted." >> $LOG_FILE

	# We remove Gaia temporary files because we may have changed /etc/features.xml during DA install
	$ECHO "DAPostInstall.sh: about to rm /tmp/*.xml" >> $LOG_FILE
	$RM  /tmp/*.xml 1>/dev/null 2>&1;
}

## Main ##

$ECHO "DAPostInstall.sh: started" >> $LOG_FILE

if [ -f $DA_INSTALL_MW_CONTEXT ]
then
	$ECHO "File $DA_INSTALL_MW_CONTEXT exists - no need to restart confd and clishd" >> $LOG_FILE
	$RM $DA_INSTALL_MW_CONTEXT
else
	if [ -f $LATEST_DA_BUILD_FILE ]
	then
		PREV_DA_BUILD=`$CAT $LATEST_DA_BUILD_FILE`
		$RM $LATEST_DA_BUILD_FILE
		restart_clishd
		if [ ${PREV_DA_BUILD:=0} -lt 839 ]
		then
# CPUSE_UNIFICATION
			IS_SCALABLE_PLATFORM=`/usr/bin/is_scalable_platform.sh`
			IS_SCALABLE_PLATFORM_MHO=`/usr/bin/is_scalable_platform.sh mho`
			if [ "$IS_SCALABLE_PLATFORM" != "1" ] && [ "$IS_SCALABLE_PLATFORM_MHO" != "1" ]; then
				restart_confd
			else
				$ECHO "SP GW or SP MHO - no need to restart confd" >> $LOG_FILE
			fi
		else
			$ECHO "Current DA build is $PREV_DA_BUILD (lower than 839) - no need to restart confd and clishd" >> $LOG_FILE
		fi
	else
		$ECHO "File $LATEST_DA_BUILD_FILE does not exist - no need to restart confd and clishd" >> $LOG_FILE
	fi
fi

$ECHO "DAPostInstall.sh: done" >> $LOG_FILE
